package cn.com.poc.agent_application.entity;

public class Variable {
    private String key;
    private String variableDefault;

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getVariableDefault() {
        return variableDefault;
    }

    public void setVariableDefault(String variableDefault) {
        this.variableDefault = variableDefault;
    }

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        Variable variable = (Variable) o;
        if (!key.equals(variable.key)) return false;
        return variableDefault.equals(variable.variableDefault);
    }

    @Override
    public int hashCode() {
        int result = key.hashCode();
        result = 31 * result + variableDefault.hashCode();
        return result;
    }

    @Override
    public String toString() {
        return "Variable{" +
                "key='" + key + '\'' +
                ", variableDefault='" + variableDefault + '\'' +
                '}';
    }
}
